Subject: bug#29358: closed (Re: bug#29358: guile2.0-guix times out)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Nov 2017 17:53:02 +0000

Your bug report

#29358: guile2.0-guix times out

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29358: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29358
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29358: guile2.0-guix times out
From: [email-masked] (Ludovic Courtès)
To: Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 Nov 2017 18:52:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke <[email-masked]> skribis:

> Marius Bakke <[email-masked]> writes:
>
>> Hello!
>>
>> Since the Guix snapshot update to 0.13.0-9.ff23b47, "guile2.0-guix"
>> fails to build due to a test timeout:
>>
>> https://hydra.gnu.org/job/gnu/master/guile2.0-guix-0.13.0-9.ff23b47.x86_64-linux
>
> I bisected this down to this commit:
>
> commit a2985bb101faac9f085176e0329488b91b81dfb5
> Author: Ludovic Courtès <[email-masked]>
> Date:   Thu Nov 9 23:29:39 2017 +0100
>
>     ui: Provide hints for unbound-variable errors.
>     
>     * guix/ui.scm (known-variable-definition): New procedure.
>     (report-load-error): Handle 'unbound-variable'.
>
> I also noticed that when compiling (guix ui), I get this warning:
>
> warning: unknown warning type `macro-use-before-definition'
>
> ...which is helpfully annotated with "new in 2.2" in (guix build compile).

Yeah, this one’s harmless.

> So it seems to be a case of the unbound variable handler failing to
> handle this unbound variable, when running tests/guix-package.sh:335.
>
> Any ideas for how to progress?  I'm a little out of my depth here :-)

It was running in circles.
Fixed in b5bfa4773d50b12ec7e71e89892474e7f3c679ba!

Thanks,
Ludo’.

Subject: guile2.0-guix times out
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Sun, 19 Nov 2017 17:45:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Since the Guix snapshot update to 0.13.0-9.ff23b47, "guile2.0-guix"
fails to build due to a test timeout:

https://hydra.gnu.org/job/gnu/master/guile2.0-guix-0.13.0-9.ff23b47.x86_64-linux